Page MenuHomePhabricator

entitysources: Remove old MultiRepository & PerRepository Service containers and config
Open, HighPublic

Description

Once T214557 is finished (functionality is written and complete) and useEntitySourceBasedFederation is true everywhere in production and by default in Wikibase we can remove the old code that it is switching away from.

Details

ProjectBranchLines +/-Subject
operations/mediawiki-configmaster+0 -7
operations/mediawiki-configmaster+0 -8
operations/mediawiki-configmaster+7 -0
operations/mediawiki-configmaster+8 -0
operations/mediawiki-configmaster+0 -8
operations/mediawiki-configmaster+0 -7
mediawiki/extensions/Wikibasemaster+0 -118
mediawiki/extensions/Wikibasemaster+7 -331
mediawiki/extensions/Wikibasemaster+1 -6
mediawiki/extensions/Wikibasemaster+14 -136
mediawiki/extensions/Wikibasemaster+24 -90
mediawiki/extensions/Wikibasemaster+0 -224
mediawiki/extensions/Wikibasemaster+4 -586
mediawiki/extensions/Wikibasemaster+26 -130
mediawiki/extensions/Wikibasemaster+26 -473
mediawiki/extensions/Wikibasemaster+1 -1
mediawiki/extensions/Wikibasemaster+13 -280
mediawiki/extensions/Wikibasemaster+18 -313
mediawiki/extensions/Wikibasemaster+10 -436
mediawiki/extensions/Wikibasemaster+21 -362
mediawiki/extensions/Wikibasemaster+0 -37
mediawiki/extensions/Wikibasemaster+19 -37
mediawiki/extensions/Wikibasemaster+5 -291
Show related patches Customize query in gerrit

Related Objects

StatusSubtypeAssignedTask
OpenAddshore
ResolvedAddshore
ResolvedWMDE-leszek
ResolvedAddshore
ResolvedLadsgroup
ResolvedLadsgroup
ResolvedLadsgroup
ResolvedPRODUCTION ERRORAddshore
ResolvedAddshore
ResolvedAddshore
Resolved Pablo-WMDE
ResolvedAddshore
ResolvedAddshore
Resolvedmatthiasmullie
ResolvedPRODUCTION ERRORAddshore
ResolvedPRODUCTION ERRORAddshore
ResolvedPRODUCTION ERRORAddshore
ResolvedWMDE-leszek
ResolvedWMDE-leszek
ResolvedWMDE-leszek
ResolvedAddshore
ResolvedAddshore
Resolvedhoo
ResolvedAddshore
OpenNone
OpenNone

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 573347 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Removed not needed "non-entity-source" logic in SearchEntities API class

https://gerrit.wikimedia.org/r/573347

Change 569255 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Removed useEntitySourceBasedFederation config option

https://gerrit.wikimedia.org/r/569255

Change 569331 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Removed now-redundant tests cases in DataAccessSnakFormatterOutputFormatTest

https://gerrit.wikimedia.org/r/569331

Change 569334 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Removed "non-entity-source" conditional logic in RepoHooks

https://gerrit.wikimedia.org/r/569334

Change 573607 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikibase@master] Removed now-redundant tests cases in TermStoreWriter tests

https://gerrit.wikimedia.org/r/573607

Change 569335 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Removed "non-entity-source" conditional logic in PropertyInfoTable

https://gerrit.wikimedia.org/r/569335

Change 573607 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Removed now-redundant tests cases in TermStoreWriter tests

https://gerrit.wikimedia.org/r/573607

Change 573964 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Removed "non-entity-source" conditional logic in DatabaseEntityInfoBuilder

https://gerrit.wikimedia.org/r/573964

Change 573967 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Removed "non-entity-source" conditional logic in Database*TermStoreWriter

https://gerrit.wikimedia.org/r/573967

WMDE-leszek updated the task description. (Show Details)Feb 21 2020, 11:04 AM
WMDE-leszek updated the task description. (Show Details)Feb 21 2020, 11:09 AM

Change 569376 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Removed "non-entity-source" conditional logic in SqlEntityInfoBuilder

https://gerrit.wikimedia.org/r/569376

WMDE-leszek updated the task description. (Show Details)Feb 21 2020, 2:16 PM
WMDE-leszek updated the task description. (Show Details)Feb 21 2020, 2:33 PM

Change 573964 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Removed "non-entity-source" conditional logic in DatabaseEntityInfoBuilder

https://gerrit.wikimedia.org/r/573964

Change 569333 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Swapped DataAccessSettingsFactory::anySetting to entity source one

https://gerrit.wikimedia.org/r/569333

Change 572278 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Removed "non-entity-source" conditional logic in WikiPageEntityMetaDataLookup

https://gerrit.wikimedia.org/r/572278

Change 572279 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Removed "non-entity-source" conditional logic in EntityContentFactory

https://gerrit.wikimedia.org/r/572279

Change 572280 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Removed "non-entity-source" conditional logic in WikiPageEntityStore

https://gerrit.wikimedia.org/r/572280

WMDE-leszek updated the task description. (Show Details)Feb 21 2020, 3:40 PM

Change 574018 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Removed no longer used ForeignEntityValidator

https://gerrit.wikimedia.org/r/574018

WMDE-leszek updated the task description. (Show Details)Feb 21 2020, 3:57 PM

Change 574018 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Removed no longer used ForeignEntityValidator

https://gerrit.wikimedia.org/r/574018

WMDE-leszek updated the task description. (Show Details)Feb 21 2020, 4:42 PM

Change 573967 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Removed "non-entity-source" conditional logic in Database*TermStoreWriter

https://gerrit.wikimedia.org/r/573967

Change 569330 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Removed now-redundant tests cases in RepoHooksTest

https://gerrit.wikimedia.org/r/569330

Change 572261 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Removed "non-entity-source" conditional logic in RebuildTermSqlIndex

https://gerrit.wikimedia.org/r/572261

WMDE-leszek updated the task description. (Show Details)Feb 21 2020, 7:34 PM
WMDE-leszek updated the task description. (Show Details)Feb 21 2020, 8:16 PM
WMDE-leszek updated the task description. (Show Details)Feb 21 2020, 8:51 PM
WMDE-leszek updated the task description. (Show Details)Feb 21 2020, 9:46 PM

Change 572284 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Removed not needed "non-entity-source" logic in HtmlPageLinkRendererBeginHookHandler

https://gerrit.wikimedia.org/r/572284

Change 574192 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Removed no longer used UnusableEntitySource

https://gerrit.wikimedia.org/r/574192

WMDE-leszek updated the task description. (Show Details)Feb 22 2020, 6:09 PM

Change 574192 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Removed no longer used UnusableEntitySource

https://gerrit.wikimedia.org/r/574192

hoo updated the task description. (Show Details)Mar 5 2020, 6:40 PM
hoo updated the task description. (Show Details)Mar 6 2020, 10:31 AM
Ladsgroup updated the task description. (Show Details)Mar 6 2020, 11:08 AM

EntityIdSearchHelper still uses $entityTypeToRepositoryMapping and needs to be adjusted to use entity source instead.

Change 569263 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[operations/mediawiki-config@master] Wikibase: Removed config option wmgUseEntitySourceBasedFederation

https://gerrit.wikimedia.org/r/569263

We should also update test to use the DB name strings again now (rather than also needing false)

WMDE-leszek updated the task description. (Show Details)Jun 15 2020, 2:12 PM

Change 608944 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] Wikibase: stop using wmgUseEntitySourceBasedFederation

https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/ /608944

Change 608944 merged by jenkins-bot:
[operations/mediawiki-config@master] Wikibase: stop using wmgUseEntitySourceBasedFederation

https://gerrit.wikimedia.org/r/608944

Mentioned in SAL (#wikimedia-operations) [2020-07-06T18:51:12Z] <addshore@deploy1001> Synchronized wmf-config/Wikibase.php: [[gerrit:608944]] T241975 Wikibase: stop using wmgUseEntitySourceBasedFederation (duration: 00m 56s)

Change 569263 merged by jenkins-bot:
[operations/mediawiki-config@master] Wikibase: Remove config option wmgUseEntitySourceBasedFederation

https://gerrit.wikimedia.org/r/569263

Mentioned in SAL (#wikimedia-operations) [2020-07-06T18:55:24Z] <addshore@deploy1001> Synchronized wmf-config: [[gerrit:569263]] T241975 Wikibase: Remove config option wmgUseEntitySourceBasedFederation (duration: 00m 58s)

Addshore claimed this task.Jul 6 2020, 9:22 PM
Addshore updated the task description. (Show Details)
Addshore updated the task description. (Show Details)
Restricted Application added a project: User-Addshore. · View Herald TranscriptJul 6 2020, 9:23 PM
Addshore updated the task description. (Show Details)Jul 6 2020, 9:36 PM
Addshore updated the task description. (Show Details)Jul 6 2020, 9:42 PM

Change 609641 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[operations/mediawiki-config@master] Revert "Wikibase: Remove config option wmgUseEntitySourceBasedFederation"

https://gerrit.wikimedia.org/r/609641

Change 609641 merged by jenkins-bot:
[operations/mediawiki-config@master] Revert "Wikibase: Remove config option wmgUseEntitySourceBasedFederation"

https://gerrit.wikimedia.org/r/609641

Mentioned in SAL (#wikimedia-operations) [2020-07-07T07:15:01Z] <lucaswerkmeister-wmde@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:609641|Revert "Wikibase: Remove config option wmgUseEntitySourceBasedFederation" (T241975, T257266)]] (duration: 00m 57s)

Change 609642 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[operations/mediawiki-config@master] Revert "Wikibase: stop using wmgUseEntitySourceBasedFederation"

https://gerrit.wikimedia.org/r/609642

Change 609642 merged by jenkins-bot:
[operations/mediawiki-config@master] Revert "Wikibase: stop using wmgUseEntitySourceBasedFederation"

https://gerrit.wikimedia.org/r/609642

Mentioned in SAL (#wikimedia-operations) [2020-07-07T07:19:10Z] <lucaswerkmeister-wmde@deploy1001> Synchronized wmf-config/Wikibase.php: Config: [[gerrit:609642|Revert "Wikibase: stop using wmgUseEntitySourceBasedFederation" (T241975, T257266)]] (duration: 00m 55s)

Change 609986 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] Wikibase: Remove config option wmgUseEntitySourceBasedFederation (take 2)

https://gerrit.wikimedia.org/r/609986

Change 609645 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] Wikibase: stop using wmgUseEntitySourceBasedFederation (take 2)

https://gerrit.wikimedia.org/r/609645

Change 609645 merged by jenkins-bot:
[operations/mediawiki-config@master] Wikibase: stop using wmgUseEntitySourceBasedFederation (take 2)

https://gerrit.wikimedia.org/r/609645

Mentioned in SAL (#wikimedia-operations) [2020-07-07T09:33:55Z] <addshore@deploy1001> Synchronized wmf-config/Wikibase.php: [[gerrit:609645]] T257266 T241975 Wikibase: stop using wmgUseEntitySourceBasedFederation (take2) (duration: 00m 59s)

Change 609986 merged by jenkins-bot:
[operations/mediawiki-config@master] Wikibase: Remove config option wmgUseEntitySourceBasedFederation (take 2)

https://gerrit.wikimedia.org/r/609986

Mentioned in SAL (#wikimedia-operations) [2020-07-07T09:37:15Z] <addshore@deploy1001> Synchronized wmf-config: [[gerrit:609986]] T257266 T241975 Wikibase: Remove config option wmgUseEntitySourceBasedFederation (take2) (duration: 00m 57s)